Asset Search
POST/search/assets
Search for assets.
At least one of the following fields must have a value: query, filter, image, or images.
image, images are mutually exclusive.
Query Parameters
Body ParametersJSON
hitsPerPage: optional number
Maximum number of documents returned for a page. Must be used with page.
maximum100
minimum1
image: optional string
Search for similar images with image as a reference.
Must be an existing AssetId or a valid data URL.
imageSemanticRatio: optional number
Image embedding ratio for hybrid search, applied when image, images.like, or images.unlike
are provided
maximum1
minimum0
Returns
Asset Search
curl https://api.cloud.scenario.com/v1/search/assets \
-H 'Content-Type: application/json' \
-u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
-d '{}'{
"hits": [
{
"id": "id",
"authorId": "authorId",
"collectionIds": [
"string"
],
"createdAt": "createdAt",
"metadata": {
"aspectRatio": "aspectRatio",
"baseModelId": "baseModelId",
"guidance": 0,
"height": 0,
"kind": "kind",
"modelId": "modelId",
"modelType": "modelType",
"name": "name",
"negativePrompt": "negativePrompt",
"negativePromptStrength": 0,
"numInferenceSteps": 0,
"parentJobId": "parentJobId",
"prompt": "prompt",
"scheduler": "scheduler",
"seed": "seed",
"size": 0,
"text": "text",
"thumbnail": {
"assetId": "assetId"
},
"type": "type",
"width": 0
},
"mimeType": "mimeType",
"nsfw": [
"string"
],
"ownerId": "ownerId",
"privacy": "privacy",
"tags": [
"string"
],
"teamId": "teamId",
"updatedAt": "updatedAt",
"url": "url",
"description": "description",
"score": 0,
"thumbnail": {
"assetId": "assetId",
"url": "url"
},
"transcription": "transcription"
}
],
"limit": 0,
"offset": 0,
"estimatedTotalHits": 0,
"hitsPerPage": 0,
"page": 0,
"totalHits": 0,
"totalPages": 0
}Returns Examples
{
"hits": [
{
"id": "id",
"authorId": "authorId",
"collectionIds": [
"string"
],
"createdAt": "createdAt",
"metadata": {
"aspectRatio": "aspectRatio",
"baseModelId": "baseModelId",
"guidance": 0,
"height": 0,
"kind": "kind",
"modelId": "modelId",
"modelType": "modelType",
"name": "name",
"negativePrompt": "negativePrompt",
"negativePromptStrength": 0,
"numInferenceSteps": 0,
"parentJobId": "parentJobId",
"prompt": "prompt",
"scheduler": "scheduler",
"seed": "seed",
"size": 0,
"text": "text",
"thumbnail": {
"assetId": "assetId"
},
"type": "type",
"width": 0
},
"mimeType": "mimeType",
"nsfw": [
"string"
],
"ownerId": "ownerId",
"privacy": "privacy",
"tags": [
"string"
],
"teamId": "teamId",
"updatedAt": "updatedAt",
"url": "url",
"description": "description",
"score": 0,
"thumbnail": {
"assetId": "assetId",
"url": "url"
},
"transcription": "transcription"
}
],
"limit": 0,
"offset": 0,
"estimatedTotalHits": 0,
"hitsPerPage": 0,
"page": 0,
"totalHits": 0,
"totalPages": 0
}